Loading...
Searching...
No Matches
CSE.h File Reference

Defines a pass for introducing let expressions to wrap common sub-expressions. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Expr | Halide::Internal::common_subexpression_elimination (const Expr &, bool lift_all=false)
| Replace each common sub-expression in the argument with a variable, and wrap the resulting expr in a let statement giving a value to that variable.
Stmt | Halide::Internal::common_subexpression_elimination (const Stmt &, bool lift_all=false)
| Do common-subexpression-elimination on each expression in a statement.
void | Halide::Internal::cse_test ()

## Detailed Description

Defines a pass for introducing let expressions to wrap common sub-expressions.

Definition in file CSE.h.